#
# spec file for package libunique1
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   libunique
%define debug_package_requires libunique-1_0-0 = %{version}
Name:           libunique1
Version:        1.1.6
Release:        bp153.1.22
Summary:        A library for writing single instance applications
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Url:            http://live.gnome.org/LibUnique
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libunique1-gcc46.patch dimstar@opensuse.org -- Backport commit f791ed from master to unique-1.1.
Patch0:         libunique1-gcc46.patch
# PATCH-FIX-UPSTREAM libunique1-no_g_const_return.patch dimstar@opensuse.org -- Use const instead of G_CONST_RETURN. Not send upstream, as libunique1 is obsoleted.
Patch1:         libunique1-no_g_const_return.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)

%description
Unique is a library for writing single instance applications. If you
launch a single instance application twice, the second instance will
either just quit or will send a message to the running instance.

%package -n libunique-1_0-0
Summary:        A library for writing single instance applications
Group:          System/Libraries

%description -n libunique-1_0-0
Unique is a library for writing single instance applications. If you
launch a single instance application twice, the second instance will
either just quit or will send a message to the running instance.

%package -n typelib-1_0-Unique-1_0
Summary:        Introspection bindings for libunique
Group:          System/Libraries

%description -n typelib-1_0-Unique-1_0
Unique is a library for writing single instance applications. If you
launch a single instance application twice, the second instance will
either just quit or will send a message to the running instance.

This package provides the GObject Introspection bindings for libunique.

%package devel
Summary:        Development files for libunique
Group:          Development/Libraries/GNOME
Requires:       libunique-1_0-0 = %{version}
Requires:       typelib-1_0-Unique-1_0 = %{version}
Provides:       unique-doc = %{version}
Obsoletes:      unique-doc < %{version}
Provides:       unique-devel = %{version}
Obsoletes:      unique-devel < %{version}

%description devel
Unique is a library for writing single instance applications. If you
launch a single instance application twice, the second instance will
either just quit or will send a message to the running instance.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
# We use --disable-maintainer-flags to allow building with deprecated API
%configure \
    --enable-debug=no \
    --enable-static=no \
    --enable-dbus=yes \
    --disable-maintainer-flags
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libunique-1_0-0 -p /sbin/ldconfig
%postun -n libunique-1_0-0 -p /sbin/ldconfig

%files -n libunique-1_0-0
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/*.so.0*

%files -n typelib-1_0-Unique-1_0
%{_libdir}/girepository-1.0/Unique-1.0.typelib

%files devel
%{_includedir}/unique-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%doc %{_datadir}/gtk-doc/html/unique

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Fix SRPM group. Update descriptions.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Feb  8 2012 dimstar@opensuse.org
- Pss --disable-maintainer-flags to configure to allow building
  despite the use of deprecated API of glib 2.31.14+.
- Change dbus-1-glib-devel and gtk2-devel BuildRequires to their
  pkgconfig() replacements: dbus-glib-1, gtk+-2.0.
- Drop gtk2-devel Requires from -devel package: it will be added
  automatically the pkgconfig() way.
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib file into typelib-1_0-Unique-1_0 subpackage.
- Add typelib-1_0-Unique-1_0 Requires to devel subpackage.
* Fri Jun 17 2011 dimstar@opensuse.org
- Add libunique1-no_g_const_return.patch: Use const instead of
  G_CONST_RETURN. This is needed because of the G_CONST_RETURN
  deprecation in recent glib 2.29.x.
* Thu May 19 2011 dimstar@opensuse.org
- Add libunique1-gcc46.patch: Fix build with gcc 4.6. Patch taken
  from master branch. Applies cleanly on unique-1.1 branch.
* Fri Apr 22 2011 vuntz@opensuse.org
- Copy libunique source package to libunique1 as libunique moves to
  3.0 version.
* Thu Jan 13 2011 gburt@suse.de
- Explicitly enable D-Bus support (bnc#640615):
  + Add dbus-1-glib-devel BuildRequires to build the D-Bus backend.
  + Pass --enable-dbus=yes to configure.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Wed Dec 23 2009 vuntz@opensuse.org
- Drop gir-repository BuildRequires: it's not needed with recent
  gtk2 that have introspection data.
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 1.1.6:
  + Fix linker flags
- Changes from version 1.1.4:
  + Fix last usage of GDK X11 API without guards
  + Fix UNIQUE_CHECK_VERSION macro
  + Documentation fixes
  + Update the build environment
  + Fix introspection annotation for
    unique_message_data_[sg]et_uris()
  + Allow building only the D-Bus backend
- Add gir-repository and gobject-introspection-devel BuildRequires.
- Fix rpmlint warnings about self-obsoletion.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 1.1.2:
  + Follow GTK+'s single header include policy
  + Remove a weak reference on the watched window
  + Rework the build environment:
  - use a recent syntax for the configure.ac
  - use AS_COMPILER_FLAGS to ensure portability
  - use Shave to clean up the build output
  + Allow compiling out the Unix Domain Socket backend (bacon)
  + Use the D-Bus backend by default
  + Use GTK-Doc >= 1.11 to generate a proper Index
  + Use X11-specific API only if we have support for it
* Sat May  2 2009 mboman@suse.de
- Update to version 1.0.8:
  + Use the right environment variables
  + Rework the maintainer compiler flags
  + Remove the GPL notice from the test
  + Update AC_INIT parameters
  + Update the ChangeLog generation rule
  + Eliminate newline in the version XML template
  + Rename SGML to XML
  + Remove mentions of unique_command_register()
  + Use gnome-autogen instead of autoreconf
  + Support suncc
  + Chmod the socket file to 0700
  + Unbreak subclassing of UniqueApp
  + Do not attempt to convert UTF-8 data
- Merge -doc into -devel since it only contains gtk-doc
- Use %%makeinstall instead of make install DESTDIR=%%{buildroot}
- Rename package from unique to libunique
- %%define _libversion and use it instead of specifying the version
  everywhere
- Add obsoletes/requires for unique
* Tue Feb 10 2009 vuntz@novell.com
- Use post -p /sbin/ldconfig.
* Mon Jan 26 2009 vuntz@novell.com
- devel package requires gtk2-devel package.
- Simplify file list.
- Fix Group.
- doc and devel packages are not versioned.
* Sat Jan  3 2009 mboman@suse.de
- New package
